---
apiVersion: operators.coreos.com/v1alpha1
kind: InstallPlan
metadata:
  creationTimestamp: "2025-10-27T12:40:52Z"
  generateName: install-
  generation: 1
  labels:
    operators.coreos.com/kubernetes-nmstate-operator.openshift-nmstate: ""
  managedFields:
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"fd3ba6fd-76e2-4a05-9f6c-2e05c64ce7ab"}: {}
      f:spec:
        .: {}
        f:approval: {}
        f:approved: {}
        f:clusterServiceVersionNames: {}
        f:generation: {}
    manager: catalog
    operation: Update
    time: "2025-10-27T12:40:52Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:operators.coreos.com/kubernetes-nmstate-operator.openshift-nmstate: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:40:52Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:bundleLookups: {}
        f:catalogSources: {}
        f:conditions: {}
        f:phase: {}
        f:plan: {}
        f:startTime: {}
    manager: catalog
    operation: Update
    subresource: status
    time: "2025-10-27T12:40:57Z"
  name: install-ndxnn
  namespace: openshift-nmstate
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: Subscription
    name: kubernetes-nmstate-operator
    uid: fd3ba6fd-76e2-4a05-9f6c-2e05c64ce7ab
  resourceVersion: "51556"
  uid: 5561e493-0ac3-4a6e-8ce0-7297b8061206
spec:
  approval: Automatic
  approved: true
  clusterServiceVersionNames:
  - kubernetes-nmstate-operator.4.19.0-202510142112
  generation: 1
status:
  bundleLookups:
  - catalogSourceRef:
      name: redhat-operators
      namespace: openshift-marketplace
    identifier: kubernetes-nmstate-operator.4.19.0-202510142112
    path: registry.redhat.io/openshift4/kubernetes-nmstate-operator-bundle@sha256:003cabc7139a3a2b9ce0025fc41d1a2849d626d04d6270f720574b60fbcfd133
    properties: '{"properties":[{"type":"olm.gvk","value":{"group":"nmstate.io","kind":"NMState","version":"v1"}},{"type":"olm.gvk","value":{"group":"nmstate.io","kind":"NMState","version":"v1beta1"}},{"type":"olm.package","value":{"packageName":"kubernetes-nmstate-operator","version":"4.19.0-202510142112"}}]}'
    replaces: ""
  catalogSources:
  - redhat-operators
  conditions:
  - lastTransitionTime: "2025-10-27T12:40:53Z"
    lastUpdateTime: "2025-10-27T12:40:53Z"
    status: "True"
    type: Installed
  phase: Complete
  plan:
  - resolving: kubernetes-nmstate-operator.4.19.0-202510142112
    resource:
      group: operators.coreos.com
      kind: ClusterServiceVersion
      manifest: '{"kind":"ConfigMap","name":"9c6c9719f61abb2c8919e20b4b4894e74b154c47a5da5bb076b13147850f0b4","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1beta1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"kubernetes-nmstate-operator\",\"version\":\"4.19.0-202510142112\"}}]}"}'
      name: kubernetes-nmstate-operator.4.19.0-202510142112
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1alpha1
    status: Present
  - resolving: kubernetes-nmstate-operator.4.19.0-202510142112
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: '{"kind":"ConfigMap","name":"9c6c9719f61abb2c8919e20b4b4894e74b154c47a5da5bb076b13147850f0b4","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1beta1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"kubernetes-nmstate-operator\",\"version\":\"4.19.0-202510142112\"}}]}"}'
      name: nmstates.nmstate.io
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Present
  - resolving: kubernetes-nmstate-operator.4.19.0-202510142112
    resource:
      group: ""
      kind: ServiceAccount
      manifest: '{"kind":"ConfigMap","name":"9c6c9719f61abb2c8919e20b4b4894e74b154c47a5da5bb076b13147850f0b4","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1beta1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"kubernetes-nmstate-operator\",\"version\":\"4.19.0-202510142112\"}}]}"}'
      name: nmstate-operator
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Present
  - resolving: kubernetes-nmstate-operator.4.19.0-202510142112
    resource:
      group: rbac.authorization.k8s.io
      kind: Role
      manifest: '{"kind":"ConfigMap","name":"9c6c9719f61abb2c8919e20b4b4894e74b154c47a5da5bb076b13147850f0b4","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1beta1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"kubernetes-nmstate-operator\",\"version\":\"4.19.0-202510142112\"}}]}"}'
      name: kubernetes-nmstate-opera-69b2XuHKzYESqHf06L4FvVJrKax0Fyid0vhxPS
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Present
  - resolving: kubernetes-nmstate-operator.4.19.0-202510142112
    resource:
      group: rbac.authorization.k8s.io
      kind: RoleBinding
      manifest: '{"kind":"ConfigMap","name":"9c6c9719f61abb2c8919e20b4b4894e74b154c47a5da5bb076b13147850f0b4","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1beta1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"kubernetes-nmstate-operator\",\"version\":\"4.19.0-202510142112\"}}]}"}'
      name: kubernetes-nmstate-opera-69b2XuHKzYESqHf06L4FvVJrKax0Fyid0vhxPS
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Present
  - resolving: kubernetes-nmstate-operator.4.19.0-202510142112
    resource:
      group: rbac.authorization.k8s.io
      kind: ClusterRole
      manifest: '{"kind":"ConfigMap","name":"9c6c9719f61abb2c8919e20b4b4894e74b154c47a5da5bb076b13147850f0b4","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1beta1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"kubernetes-nmstate-operator\",\"version\":\"4.19.0-202510142112\"}}]}"}'
      name: kubernetes-nmstate-opera-aveO6El4yGL469C1Prhxost5YxRILJ79cxtq2E
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Present
  - resolving: kubernetes-nmstate-operator.4.19.0-202510142112
    resource:
      group: rbac.authorization.k8s.io
      kind: ClusterRoleBinding
      manifest: '{"kind":"ConfigMap","name":"9c6c9719f61abb2c8919e20b4b4894e74b154c47a5da5bb076b13147850f0b4","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"nmstate.io\",\"kind\":\"NMState\",\"version\":\"v1beta1\"}},{\"type\":\"olm.package\",\"value\":{\"packageName\":\"kubernetes-nmstate-operator\",\"version\":\"4.19.0-202510142112\"}}]}"}'
      name: kubernetes-nmstate-opera-aveO6El4yGL469C1Prhxost5YxRILJ79cxtq2E
      sourceName: redhat-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Present
  startTime: "2025-10-27T12:40:53Z"
